Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.parser
Class SimpleCharStream

public class SimpleCharStream

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`int` | `bufpos`
`final static boolean` | `staticFlag`

Constructor Summary
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn)`
`SimpleCharStream(java.io.Reader dstream)`
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn)`
`SimpleCharStream(java.io.InputStream dstream)`

Method Summary
`void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` | `backup(int amount)`
`char` | `BeginToken()`
`void` | `Done()`
`int` | `getBeginColumn()`
`int` | `getBeginLine()`
`int` | `getEndColumn()`
`int` | `getEndLine()`
`String` | `GetImage()`
`char[]` | `GetSuffix(int len)`
`char` | `readChar()`
`void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn)`
`void` | `ReInit(java.io.Reader dstream)`
`void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(java.io.InputStream dstream)`
`void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn)`

Field Detail

### bufpos

    public int bufpos

### staticFlag

    public final static boolean staticFlag

Constructor Detail

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn)

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream)

Method Detail

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine, int newCol)

  Method to adjust line and column numbers for the start of a token.

### backup

    public void backup(int amount)

### BeginToken

    public char BeginToken()
                     throws java.io.IOException

### Done

    public void Done()

### getBeginColumn

    public int getBeginColumn()

### getBeginLine

    public int getBeginLine()

### getEndColumn

    public int getEndColumn()

### getEndLine

    public int getEndLine()

### GetImage

    public String GetImage()

### GetSuffix

    public char[] GetSuffix(int len)

### readChar

    public char readChar()
                   throws java.io.IOException

### ReInit

    public void ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)

### ReInit

    public void ReInit(java.io.Reader dstream, int startline, int startcolumn)

### ReInit

    public void ReInit(java.io.Reader dstream)

### ReInit

    public void ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)

### ReInit

    public void ReInit(java.io.InputStream dstream)

### ReInit

    public void ReInit(java.io.InputStream dstream, int startline, int startcolumn)

Association Links

to Class java.io.Reader

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM